﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GanttPrototype.Model
{
    public class Batch
    {
        public TimeSpan Duration { get; set; }
        public DateTime StartTime { get; set; }

        /// <summary>The article that is being processed.</summary>
        public Article Article { get; set; }

        /// <summary>The amount of article being processed.</summary>
        public int Amount { get; set; }

        /// <summary>The machine that processes the batch.</summary>
        public Machine Executor { get; set; }

        public string Info { get; set; }
    }
}
