﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GanttPrototype.Model
{
    public class DownTime
    {
        public TimeSpan Duration { get; set; }
        public DateTime StartTime { get; set; }

        /// <summary>A short description for the downtime.</summary>
        public string Reason { get; set; }

        /// <summary>More info about the downtime.</summary>
        public string Feedback { get; set; }

        /// <summary>The machine that suffers downtime.</summary>
        public Machine Target { get; set; }
    }
}
